Bug 71228 - using glibc-debug causes many progs to segfault
Summary: using glibc-debug causes many progs to segfault
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc   
(Show other bugs)
Version: 7.3
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-10 17:23 UTC by Andrew Schultz
Modified: 2016-11-24 14:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 22:29:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stacktrace from "ls -l" (1.71 KB, text/plain)
2002-08-10 17:25 UTC, Andrew Schultz
no flags Details

Description Andrew Schultz 2002-08-10 17:23:43 UTC
Description of problem:
I installed the glibc-debug-2.2.5-37 and (when active) many things segfault
(/bin/ls, gdb, etc.)  Some things still work.  Everything works fine with
glibc-2.2.5-37.  I noticed in another bug that the debug glibc requires a 2.4
kernel.  I'm running kernel-2.4.18-5.

How reproducible:
Always

Steps to Reproduce:
1. setenv LD_LIBRARY_PATH /usr/lib/debug
2. ls -l

Actual Results:  segmentation fault (will attach a stacktrace)

Comment 1 Andrew Schultz 2002-08-10 17:25:25 UTC
Created attachment 69851 [details]
stacktrace from "ls -l"

Comment 2 Andrew Schultz 2002-10-06 07:12:12 UTC
this is working fine with glibc-2.2.93-5 (RH80)


Note You need to log in before you can comment on or make changes to this bug.